## btrfs-assistant 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(btrfs-assistant VERSION 1.5 LANGUAGES CXX)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOUIC_SEARCH_PATHS src/ui)

find_package(QT NAMES Qt6 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets LinguistTools REQUIRED)

add_subdirectory(src)
add_subdirectory(icons)

message(STATUS "Btrfs Assistant will be built for install into ${CMAKE_INSTALL_PREFIX}")

=== icons/CMakeLists.txt ===
install(FILES btrfs-assistant.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps/)

=== src/CMakeLists.txt ===
include(ui/CMakeLists.txt)
include(model/CMakeLists.txt)
include(util/CMakeLists.txt)
include(widgets/CMakeLists.txt)

set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "VERSION=\"1.5\"")

set(btrfsassistant_SRCS
    main.cpp
    ${UI_SRC}
    ${MODEL_SRC}
    ${UTIL_SRC}
    ${WIDGETS_SRC}
    ${PROJECT_SOURCE_DIR}/icons/icons.qrc
)

file(GLOB btrfsassistant_UIFILES ui/*.ui)
file(GLOB TS_FILES ${PROJECT_SOURCE_DIR}/translations/*.ts)

qt6_create_translation(FILES_TS ${btrfsassistant_UIFILES} ${TS_FILES})

add_executable(btrfs-assistant-bin
    ${btrfsassistant_SRCS} ${FILES_TS}
)

install(FILES ${FILES_TS} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/btrfs-assistant/translations)
install(FILES btrfs-assistant.conf DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR})
install(FILES btrfs-assistant.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES btrfs-assistant.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
install(FILES org.btrfs-assistant.pkexec.policy DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/polkit-1/actions/)
install(PROGRAMS btrfs-assistant DESTINATION ${CMAKE_INSTALL_BINDIR})
install(PROGRAMS btrfs-assistant-launcher DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS btrfs-assistant-bin RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

find_library(BTRFSUTIL_LIB btrfsutil)
target_link_libraries(btrfs-assistant-bin PRIVATE Qt${QT_VERSION_MAJOR}::Widgets ${BTRFSUTIL_LIB})
target_compile_options(btrfs-assistant-bin PRIVATE -Werror -Wall -Wextra -Wconversion)

=== src/model/CMakeLists.txt ===
set(MODEL_SRC
    model/SubvolModel.h model/SubvolModel.cpp
)

=== src/util/CMakeLists.txt ===
set(UTIL_SRC
    util/Btrfs.h util/Btrfs.cpp
    util/BtrfsMaintenance.h util/BtrfsMaintenance.cpp
    util/Settings.h util/Settings.cpp
    util/Snapper.h util/Snapper.cpp
    util/System.h util/System.cpp
    util/CsvParser.h util/CsvParser.cpp
)

=== debian/changelog ===
btrfs-assistant (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
    - Fix btrfs-assistant script regression impacting wlroots
    - Improve Wayland support
    - Add support for CLI to run in TTY
    - Add minimum free size to the information section
    - When creating snapshots, use errors from btrfs library
    - Port to Qt6
    - Add percentage value display for filesystem utilization
    - Restore CLI snapshots via an index
    - Change timestamp on subvol backups to UTC & ISO format
    - Improve CSV parsing
    - Add ability to modify Snapper snapshot descriptions
    - Add support for QT_STYLE_OVERRIDE
  * d/watch: New GitLab format.
  * d/control:
    - Update build-depends for Qt6.
    - Add dependency on pkexec for privilege elevation.
  * Update man page for new upstream release.
  * Update patches for new upstream release and remove
    patch fixed upstream.

 -- Dale Richards <dale@dalerichards.net>  Wed, 05 Jun 2024 11:52:45 +0100

btrfs-assistant (1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1059572)

 -- Dale Richards <dale@dalerichards.net>  Fri, 29 Dec 2023 08:02:48 +0000

=== debian/control ===
Source: btrfs-assistant
Section: admin
Priority: optional
Maintainer: Dale Richards <dale@dalerichards.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
 libbtrfsutil-dev,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/btrfs-assistant/btrfs-assistant
Vcs-Browser: https://salsa.debian.org/doge-tech/btrfs-assistant
Vcs-Git: https://salsa.debian.org/doge-tech/btrfs-assistant.git

Package: btrfs-assistant
Architecture: any
Multi-Arch: foreign
Depends:
 pkexec,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 snapper,
 btrfsmaintenance,
Description: Qt GUI tool to manage Btrfs filesystems
 Btrfs Assistant is a Qt GUI management tool to make managing a Btrfs
 filesystem easier. The primary features it offers are:
 .
  * An easy to read overview of Btrfs metadata
  * A simple view of subvolumes with or without Snapper/Timeshift snapshots
  * Run and monitor scrub and balance operations
  * A pushbutton method for removing subvolumes
  * A management front-end for Snapper with enhanced restore functionality
  * A front-end for Btrfs Maintenance

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -- with=kf5

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/btrfs-assistant/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## btrfs-assistant 2.2

=== debian/changelog ===
btrfs-assistant (2.2-1) unstable; urgency=medium

  * New upstream version 2.2.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Bump copyright year.

 -- Dale Richards <dale@dalerichards.net>  Thu, 04 Dec 2025 15:57:21 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  libbtrfsutil-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/btrfs-assistant/btrfs-assistant
 Vcs-Browser: https://salsa.debian.org/doge-tech/btrfs-assistant
 Vcs-Git: https://salsa.debian.org/doge-tech/btrfs-assistant.git
